# List Settlement Funding Transfer Attempts

Lists all settlement Funding Transfer Attempt resources associated for the Settlement. A Funding Transfer Attempt resource is created when requesting an instant payout of funds for the Settlement.

Endpoint: GET /settlements/{settlement_id}/funding_transfer_attempts
Security: BasicAuth

## Path parameters:

  - `settlement_id` (string, required)
    The ID of Settlement.
    Example: "STcAm13tv77jyt5n3KQ553X"

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `tags.key` (string)
    Filter by the tag's key. For more information, see Tags.
    Example: "card_type"

  - `tags.value` (string)
    Filter by the tag's value. For more information, see Tags.
    Example: "business_card"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.funding_transfer_attempts` (array)

  - `_embedded.funding_transfer_attempts.id` (string)
    The ID of the resource.

  - `_embedded.funding_transfer_attempts.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.funding_transfer_attempts.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.funding_transfer_attempts.amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `_embedded.funding_transfer_attempts.application` (string)
    ID of the Application the resource was created under.

  - `_embedded.funding_transfer_attempts.currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `_embedded.funding_transfer_attempts.funding_transfer_id` (string)
    The ID of the Transfer used to track the payout.

  - `_embedded.funding_transfer_attempts.instrument_id` (string,null)
    The ID of the Payment Instrument to use for the instant payout.

  - `_embedded.funding_transfer_attempts.merchant_id` (string)
    The ID of the Merchant resource for the Funding Transfer Attempt.
    Example: "MUxxxxxxxxxxxxxxxxxxxxxxx"

  - `_embedded.funding_transfer_attempts.failure_code` (string,null)
    The error code when the Funding Transfer Attempt fails.
    Enum: "BALANCE_ACCOUNT_NOT_FOUND", "BALANCE_VALIDATION_FAILED", "INSUFFICIENT_BALANCE", "INVALID_BALANCE_ACCOUNT", "VELOCITY_LIMIT_EXCEEDED", "VELOCITY_RULE_NOT_FOUND", "VELOCITY_VALIDATION_FAILED"

  - `_embedded.funding_transfer_attempts.failure_message` (string,null)
    A human-readable message describing why the Funding Transfer Attempt failed. Corresponds to failure_code:

- BALANCE_ACCOUNT_NOT_FOUND: Balance Account not found. Please contact support if you have questions.
- BALANCE_VALIDATION_FAILED: Balance Validation failed.
- INSUFFICIENT_BALANCE: Your account balance is insufficient for this operation. Please contact support if you have any questions.
- INVALID_BALANCE_ACCOUNT: Balance Account is invalid.
- VELOCITY_LIMIT_EXCEEDED: Dynamically generated based on the violated rule. Examples: Daily volume limit exceeded for APPLICATION, Monthly count limit exceeded for RECIPIENT, Maximum amount exceeded for SENDER.
- VELOCITY_RULE_NOT_FOUND: Velocity Rule not found. Please contact support if you have any questions.
- VELOCITY_VALIDATION_FAILED: Velocity Validation failed. Please contact support if you have any questions.

  - `_embedded.funding_transfer_attempts.state` (string)
    The status of the Funding Transfer Attempt.
    Enum: "PENDING", "FAILED", "SUCCEEDED"

  - `_embedded.funding_transfer_attempts.settlement_id` (any)
    The ID of the Settlement resource used for this Funding Transfer Attempt.

  - `_embedded.funding_transfer_attempts._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.funding_transfer_attempts._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.funding_transfer_attempts._links.self.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


